from .dptx4xx import *


class DPTX5xx(DPTX4xx):

    """

    Main class of `DPTX5xx` object.
    Inherited from class `DPTX4xx`.
    Class describes capabilities of 500th (5XX) series of DP and USB-C devices in Source (TX - transmitter) role.

    """

    def __init__(self, port_io: PortIO, memory_manager: MemoryManager, capturer: Capturer):
        super().__init__(port_io, memory_manager, capturer)
